gavl_audio_channels_t Union Reference
Audio » Audio frame

Container for noninterleaved audio samples. More...

`#include <gavl.h>`

## Data Fields

uint8_t * | u_8 [GAVL_MAX_CHANNELS]
int8_t * | s_8 [GAVL_MAX_CHANNELS]
uint16_t * | u_16 [GAVL_MAX_CHANNELS]
int16_t * | s_16 [GAVL_MAX_CHANNELS]
uint32_t * | u_32 [GAVL_MAX_CHANNELS]
int32_t * | s_32 [GAVL_MAX_CHANNELS]
float * | f [GAVL_MAX_CHANNELS]
double * | d [GAVL_MAX_CHANNELS]

## Detailed Description

Container for noninterleaved audio samples.

## Field Documentation

## u_8

uint8_t* gavl_audio_channels_t::u_8[GAVL_MAX_CHANNELS]

Unsigned 8 bit channels

## s_8

int8_t* gavl_audio_channels_t::s_8[GAVL_MAX_CHANNELS]

Signed 8 bit channels

## u_16

uint16_t* gavl_audio_channels_t::u_16[GAVL_MAX_CHANNELS]

Unsigned 16 bit channels

## s_16

int16_t* gavl_audio_channels_t::s_16[GAVL_MAX_CHANNELS]

Signed 16 bit channels

## u_32

uint32_t* gavl_audio_channels_t::u_32[GAVL_MAX_CHANNELS]

Unsigned 32 bit channels

## s_32

int32_t* gavl_audio_channels_t::s_32[GAVL_MAX_CHANNELS]

Signed 32 bit channels (used internally only)

## f

float* gavl_audio_channels_t::f[GAVL_MAX_CHANNELS]

Floating point channels

## d

double* gavl_audio_channels_t::d[GAVL_MAX_CHANNELS]

Double channels

The documentation for this union was generated from the following file:

- gavl.h